Erlang -- etop

User's Guide
Reference Manual
Release Notes
PDF
Top

Observer
Reference Manual
Version 2.3

Expand All
Contract All

Table of Contents

- Observer (App)
- observer
  - Top of manual page
  - start/0
- ttb
  - Top of manual page
  - format/1
  - format/2
  - get_et_handler/0
  - list_config/1
  - list_history/0
  - p/2
  - run_config/1
  - run_config/2
  - run_history/1
  - seq_trigger_ms/0
  - seq_trigger_ms/1
  - start_trace/4
  - stop/0
  - stop/1
  - /0
  - tracer/0
  - tracer/1
  - tracer/2
  - tracer/1
  - write_config/2
  - write_config/3
  - write_trace_info/2
- etop
  - Top of manual page
  - config/2
  - dump/1
  - help/0
  - start/0
  - start/1
  - stop/0
- crashdump_viewer
  - Top of manual page
  - start/0
  - start/1
  - stop/0
- cdv

# etop

### MODULE

etop

### MODULE SUMMARY

Erlang Top is a tool for presenting information about Erlang processes similar to the information presented by "top" in UNIX.

### DESCRIPTION

Start Erlang Top with the provided scripts etop. This starts a hidden Erlang node that connects to the node to be measured. The measured node is specified with option -node. If the measured node has a different cookie than the default cookie for the user who invokes the script, the cookie must be explicitly specified with option -setcookie.

Under Windows, batch file etop.bat can be used.

When executing the etop script, configuration parameters can be specified as command-line options, for example, etop -node testnode@myhost -setcookie MyCookie. The following configuration parameters exist for the tool:

node

  The measured node.

  Value: atom()

  Mandatory

setcookie

  Cookie to use for the etop node. Must be same as the cookie on the measured node.

  Value: atom()

lines

  Number of lines (processes) to display.

  Value: integer()

  Default: 10

interval

  Time interval (in seconds) between each update of the display.

  Value: integer()

  Default: 5

accumulate

  If true, the execution time and reductions are accumulated.

  Value: boolean()

  Default: false

sort

  Identifies what information to sort by.

  Value: runtime | reductions | memory | msg_q

  Default: runtime (reductions if tracing=off)

tracing

  etop uses the Erlang trace facility, and thus no other tracing is possible on the measured node while etop is running, unless this option is set to off. Also helpful if the etop tracing causes too high load on the measured node. With tracing off, runtime is not measured.

  Value: on | off

  Default: on

For detalis about Erlang Top, see the User's Guide.

### EXPORTS

start() -> ok

Starts etop. Notice that etop is preferably started with the etop script.

start(Options) -> ok

Types:

Options = [Option]
Option = {Key, Value}
Key = atom()
Value = term()

Starts etop. To view the possible options, use help/0.

help() -> ok

Displays the help of etop and its options.

config(Key,Value) -> Result

Types:

Result = ok | {error,Reason}
Key = lines | interval | accumulate | sort
Value = term()

Changes the configuration parameters of the tool during runtime. Allowed parameters are lines, interval, accumulate, and sort.

dump(File) -> Result

Types:

Result = ok | {error,Reason}
File = string()

Dumps the current display to a text file.

stop() -> stop

Terminates etop.